Name:           tuxpaint-config
Summary:        Configuration tool for Tux Paint
Summary(de):    Konfigurationswerkzeug für Tux Paint
URL:            http://www.tuxpaint.org/
License:        GPL v2 or later
Group:          Education
Version:        0.0.20
Release:        %mkrel 1
Source:         %{name}-%{version}.tar.xz
Patch0:		tuxpaint-config-0.0.15-makefile.patch
BuildRequires:  %{_lib}fltk-devel 
BuildRequires:  %{_lib}paper-devel 
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}unibreak-devel
Requires:       tuxpaint
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Tux Paint has a rich set of configuration options, controllable via
command-line options or configuration files. This configuration tool 
provides a point-and-click interface for administrators to tailor 
Tux Paint to suit the needs of their users.

%description -l de
Tux Paint hat eine große Auswahl an Konfigurationsoptionen, steuerbar über 
Kommandozeilen Optionen oder Konfigurationsdateien. Dieses Konfigurationswerkzeug 
unterstützt eine Auswahl-und-Anklicken Schnittstelle zur Verwaltung und zum 
zuschneiden von Tux Paint, auf die jeweiligen Bedürfnisse des Benutzers 

%prep
%setup -q
###%apply_patches

%build
%make_build CFLAGS="%{optflags} %{ldflags}" PREFIX=%{_prefix}

%install
%make_install \
              PKG_ROOT="%{buildroot}" \
              PREFIX="%{_usr}" \
              X11_ICON_PREFIX="%{_datadir}/pixmaps/"
#Fix perms:
chmod -R go+r docs/

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Settings" \
                        --add-category="Education" \
			src/tuxpaint-config.desktop

# fix perms
chmod -R go=u-w %{buildroot}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%doc docs/AUTHORS.txt docs/CHANGES.txt docs/COPYING.txt
%doc docs/README.txt docs/TODO.txt docs/html/README.html
%exclude %_defaultdocdir/%name/html/README.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/

%changelog
* Sat Apr 08 2023 pp <pp> 0.0.20-1pclos2023
- new version

* Sun Sep 11 2022 pp <pp> 0.0.19-1pclos2022
- new version

* Fri Apr 15 2022 pp <pp> 0.0.18-1pclos2022
- new version

* Tue Jan 05 2021 pp <pp> 0.0.16-1pclos2021
- update

* Fri Oct 23 2020 pp <pp> 0.0.15-1pclos2020
- update

* Sat Mar 02 2019 pp <pp> 0.0.14-1pclos2019
- update

* Tue Aug 26 2014 pinoc <vogtpet at gmail.com> 0.0.13-1pclos2014
- 0.0.13

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.0.12-3pclos2013
- amended BR and rebuild for 32/64

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.0.12-2pclos2010
- rebuild for new fltk

* Sun Jun 27 2010 maik3531 <maik3531 at yahoo.de> 0.0.12-1pclos2010
- 0.0.12

* Wed Mar 05 2008 Texstar <texstar@gmail.com> 0.0.9-2pclos2007
- fix synaptic group

* Tue Feb 21 2008 P. K. Frederic <pkfric@yahoo.com> 0.0.9-1pclos2007
- first RPM for PCLinuxOS
